"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.comparisonHelpers = void 0;
const and = (...args) => args.map(Boolean).reduce((acc, curr) => acc && curr);
const or = (...args) => args.map(Boolean).reduce((acc, curr) => acc || curr);
const not = (a) => !a;
const eq = (a, b) => a === b;
const is = (a, b) => a == b;
const gt = (a, b) => a > b;
const gte = (a, b) => a >= b;
const lt = (a, b) => a < b;
const lte = (a, b) => a <= b;
const hIf = (a) => Boolean(a);
const unless = (a) => !a;
const hTypeof = (a) => typeof a;
const hDefault = (...values) => values.find(v => typeof v !== 'undefined' && v !== null);
exports.comparisonHelpers = Object.assign(Object.create(null), {
    and, or, not, eq, is, gt, gte,
    lt, lte, 'if': hIf, unless,
    'typeof': hTypeof, 'default': hDefault,
    coalesce: hDefault, firstNonNull: hDefault,
});
