import { Statement, TemplateStatement } from "../parser/statements";
import { Execution } from "./execution";
export declare type LiteralValue = string | number | boolean | null | undefined | object;
export declare function run(ast: TemplateStatement, context: object, extraHelpers: Map<string, Function>): Promise<string>;
export declare function runStatements(execution: Execution, statements: Statement[]): Promise<string>;
export declare function runStatement(execution: Execution, statement: Statement): Promise<LiteralValue>;
